## ev-document-fonts ev-document-fonts |

## Synopsis

    #define             EV_DOCUMENT_FONTS_IFACE             (k)
    #define             EV_IS_DOCUMENT_FONTS_IFACE          (k)
                        EvDocumentFonts;
                        EvDocumentFontsIface;
    gboolean            ev_document_fonts_scan              (EvDocumentFonts *document_fonts,
                                                             int n_pages);
    double              ev_document_fonts_get_progress      (EvDocumentFonts *document_fonts);
    void                ev_document_fonts_fill_model        (EvDocumentFonts *document_fonts,
                                                             GtkTreeModel *model);

## Description

## Details

### EV_DOCUMENT_FONTS_IFACE()

    #define EV_DOCUMENT_FONTS_IFACE(k)	  (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_FONTS, EvDocumentFontsIface))

`k` : |

### EV_IS_DOCUMENT_FONTS_IFACE()

    #define EV_IS_DOCUMENT_FONTS_IFACE(k)	  (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_FONTS))

`k` : |

### EvDocumentFonts

    typedef struct _EvDocumentFonts EvDocumentFonts;

### EvDocumentFontsIface

    typedef struct {
    	GTypeInterface base_iface;

    	/* Methods */
    	gboolean (* scan)         (EvDocumentFonts *document_fonts,
    				   int              n_pages);
    	double   (* get_progress) (EvDocumentFonts *document_fonts);
    	void     (* fill_model)   (EvDocumentFonts *document_fonts,
    				   GtkTreeModel    *model);
    } EvDocumentFontsIface;

### ev_document_fonts_scan ()

    gboolean            ev_document_fonts_scan              (EvDocumentFonts *document_fonts,
                                                             int n_pages);

`document_fonts` : |
`n_pages` : |
Returns : |

### ev_document_fonts_get_progress ()

    double              ev_document_fonts_get_progress      (EvDocumentFonts *document_fonts);

`document_fonts` : |
Returns : |

### ev_document_fonts_fill_model ()

    void                ev_document_fonts_fill_model        (EvDocumentFonts *document_fonts,
                                                             GtkTreeModel *model);

`document_fonts` : |
`model` : |